<?php

/**
 * @file
 * Default Views for the Commerce PBD module.
 */

/**
 * Implements hook_views_default_views().
 */
function commerce_pbd_views_default_views() {
  $views = array();

  $view = new view();
  $view->name = 'pbd_stock_reports';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'commerce_pbd_stock_level_report';
  $view->human_name = 'PBD Stock Reports';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'PBD Stock Reports';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Commerce PBD Stock Report: Report ID */
  $handler->display->display_options['fields']['report_id']['id'] = 'report_id';
  $handler->display->display_options['fields']['report_id']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['fields']['report_id']['field'] = 'report_id';
  /* Field: Commerce PBD Stock Report: Report Date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium';
  $handler->display->display_options['fields']['created']['format_date_sql'] = 0;
  /* Sort criterion: Commerce PBD Stock Report: Report Date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Commerce PBD Stock Report: Stock Report Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 'completed';

  /* Display: Reports List */
  $handler = $view->new_display('page', 'Reports List', 'page');
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Commerce PBD Stock Report: Report ID */
  $handler->display->display_options['fields']['report_id']['id'] = 'report_id';
  $handler->display->display_options['fields']['report_id']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['fields']['report_id']['field'] = 'report_id';
  /* Field: Commerce PBD Stock Report: Report Date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['created']['alter']['path'] = 'admin/commerce/reports/pbd-stock-reports/[report_id]';
  $handler->display->display_options['fields']['created']['alter']['target'] = '_blank';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium';
  $handler->display->display_options['fields']['created']['format_date_sql'] = 0;
  $handler->display->display_options['path'] = 'admin/commerce/reports/pbd-stock-reports';

  /* Display: Reports List */
  $handler = $view->new_display('page', 'Reports List', 'page_1');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '0';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'report_id' => 'report_id',
    'created' => 'created',
    'stock' => 'stock',
    'sku' => 'sku',
    'total_cost_amount' => 'total_cost_amount',
    'unit_cost_amount' => 'unit_cost_amount',
    'field_ledger_code' => 'field_ledger_code',
    'title' => 'title',
  );
  $handler->display->display_options['style_options']['default'] = 'sku';
  $handler->display->display_options['style_options']['info'] = array(
    'report_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'stock' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'sku' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'total_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'unit_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_ledger_code' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Commerce PBD Stock Availability: PBD Stock Level Report ID */
  $handler->display->display_options['relationships']['report_id']['id'] = 'report_id';
  $handler->display->display_options['relationships']['report_id']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['relationships']['report_id']['field'] = 'report_id';
  $handler->display->display_options['relationships']['report_id']['label'] = 'PBD Stock Report ID';
  /* Relationship: Commerce PBD Stock Availability: Product SKU */
  $handler->display->display_options['relationships']['sku']['id'] = 'sku';
  $handler->display->display_options['relationships']['sku']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['relationships']['sku']['field'] = 'sku';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Commerce PBD Stock Report: Report ID */
  $handler->display->display_options['fields']['report_id']['id'] = 'report_id';
  $handler->display->display_options['fields']['report_id']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['fields']['report_id']['field'] = 'report_id';
  /* Field: Commerce PBD Stock Report: Report Date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium';
  $handler->display->display_options['fields']['created']['format_date_sql'] = 0;
  /* Field: Commerce PBD Stock Availability: In Stock */
  $handler->display->display_options['fields']['stock']['id'] = 'stock';
  $handler->display->display_options['fields']['stock']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['stock']['field'] = 'stock';
  $handler->display->display_options['fields']['stock']['relationship'] = 'report_id';
  /* Field: Commerce PBD Stock Availability: Product SKU */
  $handler->display->display_options['fields']['sku']['id'] = 'sku';
  $handler->display->display_options['fields']['sku']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['sku']['field'] = 'sku';
  $handler->display->display_options['fields']['sku']['relationship'] = 'report_id';
  /* Field: Commerce PBD Stock Availability: Stock Item Total Cost */
  $handler->display->display_options['fields']['total_cost_amount']['id'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['total_cost_amount']['field'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['relationship'] = 'report_id';
  $handler->display->display_options['fields']['total_cost_amount']['label'] = 'Inventory Value';
  $handler->display->display_options['fields']['total_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['total_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['total_cost_amount']['prefix'] = '$';
  /* Field: Commerce PBD Stock Availability: Unit Cost Amount */
  $handler->display->display_options['fields']['unit_cost_amount']['id'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['unit_cost_amount']['field'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['relationship'] = 'report_id';
  $handler->display->display_options['fields']['unit_cost_amount']['label'] = 'Unit Cost';
  $handler->display->display_options['fields']['unit_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['unit_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['unit_cost_amount']['prefix'] = '$';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Commerce PBD Stock Report: Report ID */
  $handler->display->display_options['arguments']['report_id']['id'] = 'report_id';
  $handler->display->display_options['arguments']['report_id']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['arguments']['report_id']['field'] = 'report_id';
  $handler->display->display_options['arguments']['report_id']['default_action'] = 'summary';
  $handler->display->display_options['arguments']['report_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['report_id']['summary']['sort_order'] = 'desc';
  $handler->display->display_options['arguments']['report_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['report_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['report_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Commerce PBD Stock Report: Stock Report Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'commerce_pbd_stock_level_report';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 'completed';
  $handler->display->display_options['path'] = 'admin/commerce/reports/pbd-stock-reports';
  $translatables['pbd_stock_reports'] = array(
    t('Master'),
    t('PBD Stock Reports'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('Report ID'),
    t('.'),
    t(','),
    t('Report Date'),
    t('Reports List'),
    t('PBD Stock Report ID'),
    t('Commerce Product'),
    t('In Stock'),
    t('Product SKU'),
    t('Inventory Value'),
    t('$'),
    t('Unit Cost'),
    t('All'),
  );

  // Add the view.
  $views[$view->name] = $view;

  $view = new view();
  $view->name = 'inventory_stock';
  $view->description = 'Inventory Stock - Based on PBD Availability Level Service';
  $view->tag = 'default';
  $view->base_table = 'commerce_pbd_stock_level';
  $view->human_name = 'Inventory Stock and Value';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Inventory Stock and Value';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'views_aggregator';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_ledger_code' => 'field_ledger_code',
    'sku' => 'sku',
    'title' => 'title',
    'stock' => 'stock',
    'unit_cost_amount' => 'unit_cost_amount',
    'total_cost_amount' => 'total_cost_amount',
  );
  $handler->display->display_options['style_options']['default'] = 'sku';
  $handler->display->display_options['style_options']['info'] = array(
    'field_ledger_code' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'sku' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'stock' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'unit_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'total_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
  );
  $handler->display->display_options['style_options']['totals_per_page'] = '0';
  $handler->display->display_options['style_options']['totals_row_position'] = array(
    1 => 0,
    2 => '2',
  );
  /* Relationship: Commerce PBD Stock Availability: Product SKU */
  $handler->display->display_options['relationships']['sku']['id'] = 'sku';
  $handler->display->display_options['relationships']['sku']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['relationships']['sku']['field'] = 'sku';
  /* Field: Commerce Product: General Ledger Code */
  $handler->display->display_options['fields']['field_ledger_code']['id'] = 'field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['table'] = 'field_data_field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['field'] = 'field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['relationship'] = 'sku';
  $handler->display->display_options['fields']['field_ledger_code']['label'] = 'Category';
  $handler->display->display_options['fields']['field_ledger_code']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_ledger_code']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Commerce PBD Stock Availability: Product SKU */
  $handler->display->display_options['fields']['sku']['id'] = 'sku';
  $handler->display->display_options['fields']['sku']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['sku']['field'] = 'sku';
  $handler->display->display_options['fields']['sku']['label'] = 'Item SKU';
  /* Field: Commerce Product: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'commerce_product';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'sku';
  $handler->display->display_options['fields']['title']['label'] = 'Item Description';
  $handler->display->display_options['fields']['title']['link_to_product'] = 1;
  /* Field: Commerce PBD Stock Availability: In Stock */
  $handler->display->display_options['fields']['stock']['id'] = 'stock';
  $handler->display->display_options['fields']['stock']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['stock']['field'] = 'stock';
  /* Field: Commerce PBD Stock Availability: Unit Cost Amount */
  $handler->display->display_options['fields']['unit_cost_amount']['id'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['unit_cost_amount']['field'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['label'] = 'Unit Cost';
  $handler->display->display_options['fields']['unit_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['unit_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['unit_cost_amount']['prefix'] = '$';
  /* Field: Commerce PBD Stock Availability: Stock Item Total Cost */
  $handler->display->display_options['fields']['total_cost_amount']['id'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['total_cost_amount']['field'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['label'] = 'Inventory Value';
  $handler->display->display_options['fields']['total_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['total_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['total_cost_amount']['prefix'] = '$';
  /* Contextual filter: Commerce PBD Stock Availability: PBD Stock Level Report ID */
  $handler->display->display_options['arguments']['report_id']['id'] = 'report_id';
  $handler->display->display_options['arguments']['report_id']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['arguments']['report_id']['field'] = 'report_id';
  $handler->display->display_options['arguments']['report_id']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['report_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['report_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['report_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['report_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Commerce PBD Stock Availability: PBD Stock Level Report ID */
  $handler->display->display_options['filters']['report_id']['id'] = 'report_id';
  $handler->display->display_options['filters']['report_id']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['filters']['report_id']['field'] = 'report_id';
  $handler->display->display_options['filters']['report_id']['operator'] = '!=';
  $handler->display->display_options['filters']['report_id']['value']['value'] = '0';

  /* Display: By Category */
  $handler = $view->new_display('page', 'By Category', 'page');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'views_aggregator';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_ledger_code' => 'field_ledger_code',
    'sku' => 'sku',
    'title' => 'title',
    'stock' => 'stock',
    'unit_cost_amount' => 'unit_cost_amount',
    'total_cost_amount' => 'total_cost_amount',
    'timestamp' => 'timestamp',
  );
  $handler->display->display_options['style_options']['default'] = 'field_ledger_code';
  $handler->display->display_options['style_options']['info'] = array(
    'field_ledger_code' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 1,
      'aggr' => array(
        'views_aggregator_group_and_compress' => 'views_aggregator_group_and_compress',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'sku' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'stock' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 1,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'unit_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'total_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 1,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'timestamp' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
  );
  $handler->display->display_options['style_options']['totals_per_page'] = '0';
  $handler->display->display_options['style_options']['totals_row_position'] = array(
    1 => 0,
    2 => '2',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['label'] = 'Report Date';
  $handler->display->display_options['header']['area']['content'] = '<p><strong>As of [timestamp]</strong></p>';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['header']['area']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Commerce Product: General Ledger Code */
  $handler->display->display_options['fields']['field_ledger_code']['id'] = 'field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['table'] = 'field_data_field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['field'] = 'field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['relationship'] = 'sku';
  $handler->display->display_options['fields']['field_ledger_code']['label'] = 'Category';
  $handler->display->display_options['fields']['field_ledger_code']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_ledger_code']['alter']['path'] = 'admin/commerce/reports/pbd-stock-reports/!1/[field_ledger_code]';
  $handler->display->display_options['fields']['field_ledger_code']['alter']['target'] = '_blank';
  $handler->display->display_options['fields']['field_ledger_code']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_ledger_code']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Commerce PBD Stock Availability: Product SKU */
  $handler->display->display_options['fields']['sku']['id'] = 'sku';
  $handler->display->display_options['fields']['sku']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['sku']['field'] = 'sku';
  $handler->display->display_options['fields']['sku']['label'] = 'Item SKU';
  $handler->display->display_options['fields']['sku']['exclude'] = TRUE;
  /* Field: Commerce Product: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'commerce_product';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'sku';
  $handler->display->display_options['fields']['title']['label'] = 'Item Description';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['link_to_product'] = 1;
  /* Field: Commerce PBD Stock Availability: In Stock */
  $handler->display->display_options['fields']['stock']['id'] = 'stock';
  $handler->display->display_options['fields']['stock']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['stock']['field'] = 'stock';
  $handler->display->display_options['fields']['stock']['label'] = 'Available Stock Quantity';
  /* Field: Commerce PBD Stock Availability: Unit Cost Amount */
  $handler->display->display_options['fields']['unit_cost_amount']['id'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['unit_cost_amount']['field'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['label'] = 'Unit Cost';
  $handler->display->display_options['fields']['unit_cost_amount']['exclude'] = TRUE;
  $handler->display->display_options['fields']['unit_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['unit_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['unit_cost_amount']['prefix'] = '$';
  /* Field: Commerce PBD Stock Availability: Stock Item Total Cost */
  $handler->display->display_options['fields']['total_cost_amount']['id'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['total_cost_amount']['field'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['label'] = 'Inventory Value';
  $handler->display->display_options['fields']['total_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['total_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['total_cost_amount']['prefix'] = '$';
  /* Field: Commerce PBD Stock Availability: Report Date */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['exclude'] = TRUE;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'medium';
  $handler->display->display_options['fields']['timestamp']['format_date_sql'] = 0;
  $handler->display->display_options['path'] = 'admin/commerce/reports/pbd-stock-reports/%';

  /* Display: For Category */
  $handler = $view->new_display('page', 'For Category', 'page_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'views_aggregator';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_ledger_code' => 'field_ledger_code',
    'sku' => 'sku',
    'title' => 'title',
    'stock' => 'stock',
    'unit_cost_amount' => 'unit_cost_amount',
    'total_cost_amount' => 'total_cost_amount',
    'timestamp' => 'timestamp',
  );
  $handler->display->display_options['style_options']['default'] = 'sku';
  $handler->display->display_options['style_options']['info'] = array(
    'field_ledger_code' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'sku' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 1,
      'aggr_column' => 'views_aggregator_replace',
      'aggr_par_column' => 'Total',
    ),
    'stock' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 1,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'unit_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'total_cost_amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 1,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
    'timestamp' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'has_aggr' => 0,
      'aggr' => array(
        'views_aggregator_first' => 'views_aggregator_first',
      ),
      'aggr_par' => '',
      'has_aggr_column' => 0,
      'aggr_column' => 'views_aggregator_sum',
      'aggr_par_column' => '',
    ),
  );
  $handler->display->display_options['style_options']['totals_per_page'] = '0';
  $handler->display->display_options['style_options']['totals_row_position'] = array(
    1 => 0,
    2 => '2',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['label'] = 'Report Date';
  $handler->display->display_options['header']['area']['content'] = '<p>[field_ledger_code]: <strong> As of [timestamp]</strong></p>';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['header']['area']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Commerce PBD Stock Availability: Report Date */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['exclude'] = TRUE;
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'medium';
  $handler->display->display_options['fields']['timestamp']['format_date_sql'] = 0;
  /* Field: Commerce Product: Product ID */
  $handler->display->display_options['fields']['product_id']['id'] = 'product_id';
  $handler->display->display_options['fields']['product_id']['table'] = 'commerce_product';
  $handler->display->display_options['fields']['product_id']['field'] = 'product_id';
  $handler->display->display_options['fields']['product_id']['relationship'] = 'sku';
  $handler->display->display_options['fields']['product_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['product_id']['link_to_product'] = 0;
  /* Field: Commerce Product: General Ledger Code */
  $handler->display->display_options['fields']['field_ledger_code']['id'] = 'field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['table'] = 'field_data_field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['field'] = 'field_ledger_code';
  $handler->display->display_options['fields']['field_ledger_code']['relationship'] = 'sku';
  $handler->display->display_options['fields']['field_ledger_code']['label'] = 'Category';
  $handler->display->display_options['fields']['field_ledger_code']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ledger_code']['element_type'] = '0';
  $handler->display->display_options['fields']['field_ledger_code']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_ledger_code']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_ledger_code']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_ledger_code']['field_api_classes'] = TRUE;
  /* Field: Commerce PBD Stock Availability: Product SKU */
  $handler->display->display_options['fields']['sku']['id'] = 'sku';
  $handler->display->display_options['fields']['sku']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['sku']['field'] = 'sku';
  $handler->display->display_options['fields']['sku']['label'] = 'Item SKU';
  /* Field: Commerce Product: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'commerce_product';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'sku';
  $handler->display->display_options['fields']['title']['label'] = 'Item Description';
  $handler->display->display_options['fields']['title']['link_to_product'] = 1;
  /* Field: Commerce PBD Stock Availability: In Stock */
  $handler->display->display_options['fields']['stock']['id'] = 'stock';
  $handler->display->display_options['fields']['stock']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['stock']['field'] = 'stock';
  $handler->display->display_options['fields']['stock']['label'] = 'Available Stock Quantity';
  /* Field: Commerce PBD Stock Availability: Unit Cost Amount */
  $handler->display->display_options['fields']['unit_cost_amount']['id'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['unit_cost_amount']['field'] = 'unit_cost_amount';
  $handler->display->display_options['fields']['unit_cost_amount']['label'] = 'Unit Cost';
  $handler->display->display_options['fields']['unit_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['unit_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['unit_cost_amount']['prefix'] = '$';
  /* Field: Commerce PBD Stock Availability: Stock Item Total Cost */
  $handler->display->display_options['fields']['total_cost_amount']['id'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['fields']['total_cost_amount']['field'] = 'total_cost_amount';
  $handler->display->display_options['fields']['total_cost_amount']['label'] = 'Inventory Value';
  $handler->display->display_options['fields']['total_cost_amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['total_cost_amount']['precision'] = '2';
  $handler->display->display_options['fields']['total_cost_amount']['prefix'] = '$';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Commerce PBD Stock Availability: PBD Stock Level Report ID */
  $handler->display->display_options['arguments']['report_id']['id'] = 'report_id';
  $handler->display->display_options['arguments']['report_id']['table'] = 'commerce_pbd_stock_level';
  $handler->display->display_options['arguments']['report_id']['field'] = 'report_id';
  $handler->display->display_options['arguments']['report_id']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['report_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['report_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['report_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['report_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Commerce Product: General Ledger Code (field_ledger_code) */
  $handler->display->display_options['arguments']['field_ledger_code_tid']['id'] = 'field_ledger_code_tid';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['table'] = 'field_data_field_ledger_code';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['field'] = 'field_ledger_code_tid';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['relationship'] = 'sku';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['field_ledger_code_tid']['title'] = '%2: Inventory Stock and Value';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['breadcrumb_enable'] = TRUE;
  $handler->display->display_options['arguments']['field_ledger_code_tid']['breadcrumb'] = '%2: Inventory Stock and Value';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['field_ledger_code_tid']['validate']['type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['field_ledger_code_tid']['validate_options']['vocabularies'] = array(
    'product_account_code' => 'product_account_code',
  );
  $handler->display->display_options['arguments']['field_ledger_code_tid']['validate_options']['type'] = 'convert';
  $handler->display->display_options['path'] = 'admin/commerce/reports/pbd-stock-reports/%/%';
  $translatables['inventory_stock'] = array(
    t('Master'),
    t('Inventory Stock and Value'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Commerce Product'),
    t('Category'),
    t('Item SKU'),
    t('Item Description'),
    t('In Stock'),
    t('.'),
    t(','),
    t('Unit Cost'),
    t('$'),
    t('Inventory Value'),
    t('All'),
    t('By Category'),
    t('Report Date'),
    t('<p><strong>As of [timestamp]</strong></p>'),
    t('Available Stock Quantity'),
    t('For Category'),
    t('<p>[field_ledger_code]: <strong> As of [timestamp]</strong></p>'),
    t('Product ID'),
    t('%2: Inventory Stock and Value'),
  );

  return $views;
}
